/*  MaViLla: Marcador y Visualizador de Llamadas
 *
 *  Copyright (C) 2011  Area de Servicios Telematicos
 *			CSIRC
 *			Universidad de Granada
 *			telematica@ugr.es
 *  
 *  Version: 1.1
 *  Last Modified: 30 May 2011
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef ERRORES_H
#define ERRORES_H

#include <QDialog>

namespace Ui {
    class Errores;
}

class Errores : public QDialog
{
    Q_OBJECT

public:

    /**
    @brief Constructor por defecto
    @param parent widget Padre
    */
    explicit Errores(QWidget *parent = 0);

    /**
    @brief Destructor por defecto

    Libera la memoria reservada
    */
    ~Errores();

    /**
    @brief Cambia el texto de un area de texto
    @param s Cadena de texto a poner

    Muestra un mensaje, en este caso de error, en un pequeo dialogo con un texArea
    donde se mostrara el contenido de la variable s.
    */
    void setText(QString s);

private:
    Ui::Errores *ui;
};

#endif // ERRORES_H
